# $Revision: 1.26 $, $Date: 2006/05/25 10:25:55 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	gettext
Summary:	Locale::gettext Perl module - message handling functions
Summary(pl):	Modu Perla Locale::gettext - funkcje do obsugi komunikatw
Name:		perl-Locale-gettext
Version:	1.05
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	f3d3f474a1458f37174c410dfef61a46
URL:		http://search.cpan.org/dist/gettext/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-gettext
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Locale::gettext is a Perl 5 module quickly written to gain access to
the C library functions for internatialization.  They work just like
the C versions.

%description -l pl
Locale::gettext jest moduem Perla umoliwiajcym dostp do funkcji
uatwiajcych umidzynarodowienie programw. Dziaaj one tak samo
jak ich wersje w C.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Locale/*
%dir %{perl_vendorarch}/auto/Locale/gettext
%{perl_vendorarch}/auto/Locale/gettext/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/gettext/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-gettext.spec,v $
Revision 1.26  2006/05/25 10:25:55  ankry
- release down to 1

Revision 1.25  2006/05/25 09:05:03  blaass
- updated to 1.05, rel 4

Revision 1.24  2005/05/09 10:05:04  pluto
- release bump for rebuild for x86-64 target.

Revision 1.23  2005/03/26 21:48:23  mmazur
- rel 2 for th

Revision 1.22  2004/12/01 11:33:43  radek
- standarized Source0 URL

Revision 1.21  2004/11/03 22:30:31  paladine
- formatting

Revision 1.20  2004/08/05 19:53:24  qboosh
- updated to 1.03, added License information, removed obsolete include patch

Revision 1.19  2004/07/23 21:37:20  qboosh
- informative Summaries, URL

Revision 1.18  2004/07/19 21:25:03  qboosh
- added include patch (fixes SEGV on ia64); release 8

Revision 1.17  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/07 00:40:54  ankry
- rel. 7

Revision 1.15  2004/05/06 18:20:30  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 20:24:26  ankry
- cosmetics: unification

Revision 1.13  2004/04/22 18:21:30  ankry
- license fixes & unification

Revision 1.12  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.11  2004/01/29 21:23:00  jajcus
- Release: 6

Revision 1.10  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.9  2003/08/24 18:06:56  mmazur
- for ac: help2man rel2; perl-loc-gt rel5

Revision 1.8  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:45  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/07/22 21:39:32  ankry
- translations, cleaning
- Obsoletes: perl-gettext
- release 3

Revision 1.1  2002/07/22 10:44:58  qboosh
- renamed from perl-gettext.spec
- added OPTIMIZE, fixed perms in files
- release 2

Revision 1.2  2002/05/25 11:12:37  qboosh
- pl description

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package
